Chats
Hide Chat
Hides a chat from the chat list. The conversation is not deleted — it reappears if the fan sends a new message. Requires permission api_chats_hide.
https://public-api.fansmetric.comPOST/v1/{account_id}/chats/{chat_id}/hide
Bearer
Authorization
defaultAuthorizationBearer <token>Send your FansMetric API key as a Bearer token in the Authorization header.
In: header
Path Parameters
account_id*integerOnlyFans numeric account ID.
chat_id*integerThe conversation
idfrom the chat object inGET /v1/{account_id}/chats(not the fan's user ID).
curl --request POST "https://public-api.fansmetric.com/v1/acct_XXXXX/chats/chat_XXXXX/hide" \
--header "Authorization: Bearer YOUR_API_KEY"Response
200{
"data":{
"success":true
}
"_meta":{
"_credits":{
"used":1
}
"_rate_limits":{
"limit_minute":1000
"remaining_minute":997
"limit_day":50000
"remaining_day":49997
}
}
}